From 5a0bd11e6f5c55acf8a8bcc419b9437278947485 Mon Sep 17 00:00:00 2001
From: Dave Airlie <airlied@redhat.com>
Date: Thu, 20 Dec 2012 13:00:54 +1000
Subject: [PATCH 1/2] dma_buf: fix debugfs init

The init functions wasn't been called, this adds it as a subsys_initcall,
not sure its the fully correct place, but it seems to work fine.

Signed-off-by: Dave Airlie <airlied@redhat.com>
---
 drivers/base/dma-buf.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/drivers/base/dma-buf.c b/drivers/base/dma-buf.c
index 251097d..5b8c9df 100644
--- a/drivers/base/dma-buf.c
+++ b/drivers/base/dma-buf.c
@@ -525,13 +525,16 @@ EXPORT_SYMBOL_GPL(dma_buf_vunmap);
 static int dma_buf_init_debugfs(void);
 static void dma_buf_uninit_debugfs(void);
 
-static void __init dma_buf_init(void)
+static int __init dma_buf_init(void)
 {
 	mutex_init(&db_list.lock);
 	INIT_LIST_HEAD(&db_list.head);
 	dma_buf_init_debugfs();
+	return 0;
 }
 
+subsys_initcall(dma_buf_init);
+
 static void __exit dma_buf_deinit(void)
 {
 	dma_buf_uninit_debugfs();
-- 
1.8.0.2

